/**
 * section_icons
 * @version	2.0
 * @release	17-01-2022
 * @author	msolowski Marcin Sołowski
 * @website	http://msolowski.pl
 */

.section_icons.background_lead
{
	padding-top: var(--global_size_100);
	padding-bottom: var(--global_size_100);
}

/**********************************************************************************/ /* background_lead */

.section_icons.background_lead
{
	--global_loader_background_image: url("data:image/svg+xml;charset=UTF-8,%3csvg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='100px' height='100px' viewBox='0 0 100 100' enable-background='new 0 0 100 100' xml:space='preserve'%3e%3ccircle cx='50' cy='50' r='40' stroke='%23ffffff' opacity='0' fill='none' stroke-width='1' stroke-linecap='round'%3e%3c/circle%3e%3ccircle cx='50' cy='50' r='40' stroke='%23FFFFFF' fill='none' stroke-width='8' stroke-linecap='round'%3e%3canimate attributeName='stroke-dashoffset' dur='2s' repeatCount='indefinite' from='0' to='-502'%3e%3c/animate%3e%3canimate attributeName='stroke-dasharray' dur='2s' repeatCount='indefinite' values='150.6 100.4;1 250;150.6 100.4'%3e%3c/animate%3e%3c/circle%3e%3c/svg%3e");
}

.section_icons.background_lead .text > *
{
	color: var(--root_color_white);
}

.section_icons.background_lead .text a
{
	color: var(--root_color_white);
}

.section_icons.background_lead .text a:hover
{
	color: var(--root_color_lead);
}

.section_icons.background_lead .icon .contener > *,
.section_icons.background_lead .icon .heading,
.section_icons.background_lead .icon .content
{
	color: var(--root_color_white);
}

.section_icons.background_lead .global_button
{
	--global_button_color_h: var(--root_color_dark);
	--global_button_background_color_h: var(--root_color_white);
}

.section_icons.background_lead .global_link
{
	color: var(--root_color_white);
}

.section_icons.background_lead .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23ffffff' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_icons.background_lead .global_link:hover
{
	color: var(--root_color_lead);
}

.section_icons.background_lead .global_link:hover::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23a91f22' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_icons.background_lead .icon.layout_padding
{
	background-color: var(--root_color_white);
}

.section_icons.background_lead .icon.layout_padding .contener > *,
.section_icons.background_lead .icon.layout_padding .heading,
.section_icons.background_lead .icon.layout_padding .content
{
	color: var(--root_color_dark);
}

.section_icons.background_lead .icon.layout_padding .global_button
{
	--global_button_color_h: var(--root_color_white);
	--global_button_background_color_h: var(--root_color_dark);
}

.section_icons.background_lead .icon.layout_padding .global_link
{
	color: var(--root_color_dark);
}

.section_icons.background_lead .icon.layout_padding .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%231b2129' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_icons.background_lead .icon.layout_padding .global_link:hover
{
	color: var(--root_color_lead);
}

.section_icons.background_lead .icon.layout_padding .global_link:hover::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23a91f22' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

/**********************************************************************************/

.section_icons .layout_order .icon
{
	display: inline-flex;
	flex-direction: column;
}

.section_icons .layout_order .icon.is_css_ta_center
{
	align-items: center;
}

.section_icons .layout_order .icon .heading
{
	order: 1;
	margin-top: 0;
}

.section_icons .layout_order .icon .image
{
	order: 2;
	margin-top: var(--global_size_25);
}

.section_icons .layout_order .icon .content
{
	order: 3;
	font-size: var(--global_font_size_h4);
	font-weight: 500;
}

.section_icons .layout_order .icon .link
{
	order: 4;
}

.section_icons .icon.layout_padding
{
	background-color: var(--root_color_light_grey);
}

.section_icons .icon .image
{
	--min_image_width: 74;
	--max_image_width: 74;
	--image_width:
		clamp(calc(var(--min_image_width) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_image_width) - var(--min_image_width)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_image_width)) * 1px)
		+ ((var(--max_image_width) - var(--min_image_width)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_image_width) * 1px));
	max-width: var(--image_width);
	width: 100%;
	display: inline-block;
}

.section_icons .icon.layout_padding .image
{
	max-width: 74px;
}

/**********************************************************************************/

@media screen and (max-width: 1680px)
{
}

@media screen and (max-width: 1600px)
{
}

@media screen and (max-width: 1440px)
{
}

@media screen and (max-width: 1366px)
{
}

@media screen and (max-width: 1300px)
{
}

@media screen and (max-width: 1200px)
{
}

@media screen and (max-width: 1024px)
{
}

@media screen and (max-width: 800px)
{
}

@media screen and (max-width: 640px)
{
}

@media screen and (max-width: 480px)
{
}

@media screen and (max-width: 360px)
{
}